#494 Python 2.6 error

Release_0.72.5
closed
Linux (158)
1
2012-09-15
2009-06-10
rflribeiro
No

Fedora 11 - Leonidas
taskcoach-0.72.5-1.fc11.i586 (fedora package) with python 2.6

When i try to save a file, i get the following error:

Traceback (most recent call last):
File "/usr/lib/python2.6/site-packages/taskcoachlib/gui/uicommand.py", line 139, in onCommandActivate
self.doCommand(event)
File "/usr/lib/python2.6/site-packages/taskcoachlib/gui/uicommand.py", line 458, in doCommand
self.iocontroller.save()
File "/usr/lib/python2.6/site-packages/taskcoachlib/gui/iocontroller.py", line 143, in save
return self.saveas(showerror=showerror) # Ask for filename
File "/usr/lib/python2.6/site-packages/taskcoachlib/gui/iocontroller.py", line 152, in saveas
if self._saveSave(self.taskFile, showerror, filename):
File "/usr/lib/python2.6/site-packages/taskcoachlib/gui/iocontroller.py", line 183, in _saveSave
file.saveas(filename)
File "/usr/lib/python2.6/site-packages/taskcoachlib/persistence/taskfile.py", line 289, in saveas
return super(LockedTaskFile, self).saveas(filename)
File "/usr/lib/python2.6/site-packages/taskcoachlib/persistence/taskfile.py", line 210, in saveas
self.save()
File "/usr/lib/python2.6/site-packages/taskcoachlib/persistence/taskfile.py", line 283, in save
self.acquire_lock(self.filename())
File "/usr/lib/python2.6/site-packages/taskcoachlib/persistence/taskfile.py", line 265, in acquire_lock
self.
lock = lockfile.FileLock(filename)
File "/usr/lib/python2.6/site-packages/taskcoachlib/thirdparty/lockfile/lockfile.py", line 166, in init
tname = "%s-" % threading.current_thread().get_name()
AttributeError: '_MainThread' object has no attribute 'get_name'

I can't install last version 0.72.10 due python version required.
The problem occours with normal and root users.
Thanks.

Discussion

  • rflribeiro

    rflribeiro - 2009-06-10

    Full output

     
    Attachments
  • rflribeiro

    rflribeiro - 2009-06-10

    Sorry. I forget to say that i can't install last release due python dependencies problems. I think it's another little bug: when i try install it i have a message asking for python 2.5 or greater. As you can see, i have 2.6 in F11.
    Thanks again.

     
  • Frank Niessink

    Frank Niessink - 2009-06-10

    Hi,

    This bug was fixed in release 0.72.6. You need python 2.5. Unfortunately I don't see an easy way to install Python 2.5 on Fedora 11. You might want to check on a Fedora mailinglist or forum. I'll see what we can do to make Task Coach also work with Python 2.6.

    Cheers, Frank

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks